package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolQueryactivityRequest struct {
	/*
	   查询商品池活动入参     */
	Param0 *domain.AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam `json:"param0" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolQueryactivityRequest) SetParam0(v domain.AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam) *AlibabaWdkMarketingItempoolQueryactivityRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolQueryactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolQueryactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
